$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-loader'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Loader-17.31.5-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Loader-17.31.5-BETA.msi'
  softwareName = 'Invantive Data Loader'
  checksum = 'B09A947D8DEA540C75BD4FE4D6BDF9044D20D816046E93E13E0F9767F9A54009'
  checksumType = 'sha256'
  checksum64 = 'B09A947D8DEA540C75BD4FE4D6BDF9044D20D816046E93E13E0F9767F9A54009'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-loader-17.31.5-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
